Package org.codehaus.groovy.syntax

# Class ParserException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.codehaus.groovy.GroovyException
org.codehaus.groovy.syntax.SyntaxException
org.codehaus.groovy.syntax.TokenException
org.codehaus.groovy.syntax.ParserException

All Implemented Interfaces:
  `java.io.Serializable`, `GroovyExceptionInterface`

Direct Known Subclasses:
  `ASTParserException`

    public class ParserException
    extends TokenException

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ParserException​(java.lang.String message, java.lang.Throwable cause, int lineNumber, int columnNumber)` |
  `ParserException​(java.lang.String message, java.lang.Throwable cause, int lineNumber, int columnNumber, int endLineNumber, int endColumnNumber)` |
  `ParserException​(java.lang.String message, Token token)` |

- ## Method Summary

  ### Methods inherited from class org.codehaus.groovy.syntax.SyntaxException

  `getEndColumn, getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`

  ### Methods inherited from class org.codehaus.groovy.GroovyException

  `isFatal, setFatal`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ParserException

    public ParserException​(java.lang.String message, Token token)

  - ### ParserException

    public ParserException​(java.lang.String message, java.lang.Throwable cause, int lineNumber, int columnNumber)

  - ### ParserException

    public ParserException​(java.lang.String message, java.lang.Throwable cause, int lineNumber, int columnNumber, int endLineNumber, int endColumnNumber)